Get profile addresses for multiple userkeys
POST
/profiles/addresses
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/profiles/addresses"), Content = new StringContent("{ \"userkeys\": [ \"example\" ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/profiles/addresses"
payload := strings.NewReader("{ \"userkeys\": [ \"example\" ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"userkeys\": [ \"example\" ] }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/profiles/addresses") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/profiles/addresses', headers: {'Content-Type': 'application/json'}, data: {userkeys: ['example']}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/profiles/addresses';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"userkeys":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/profiles/addresses";
let payload = json!({"userkeys": ("example")});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/profiles/addresses \ --header 'Content-Type: application/json' \ --data '{ "userkeys": [ "example" ] }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "userkeys": [ "example" ] }' \ --output-document \ - https://api.ethos.network/api/v2/profiles/addressesReturns one entry per requested userkey, in request order. addresses lists the addresses registered to the profile, in registration order, each typed as ETHOS_WALLET (the Ethos Everywhere wallet) or EXTERNAL_EVM_WALLET (a wallet the user brought). Privy smart wallets are not listed. profileId is null when an address or service account is not attached to a profile; a profileId: userkey always returns that id, with an empty list when the profile has no addresses.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
userkeys
required
Array<string>
Example generated
{ "userkeys": [ "example" ]}Responses
Section titled “Responses”Successful response
Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}